Skip to main content
GET
/
v1
/
projects
/
typeahead
Typeahead search on Projects
curl --request GET \
  --url https://api.tread-horizon.com/v1/projects/typeahead \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "external_id": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Query Parameters

page[limit]
integer<int32>
default:25

The maximum number of paginated results to return

Required range: x <= 100
page[after]
string

The cursor to start paginating after

page[before]
string

The cursor to stop paginating at

search[query]
string

Search string for queries

filter[account_id]
string

Account ID filter

filter[states]
array

States based on the resource (e.g. Order states or Job states)

filter[department_ids]
array

The associated Department IDs. Use 'none' to filter for records without a Department.

Response

OK

data
Project-Read-Typeahead · object[]
required